#pragma once

#include "Roboid.h"

namespace Passer {
namespace RoboidControl {

class Messages {
public:
  static Angle8 ReceiveAngle8(unsigned char *data, unsigned char *startIndex);
  static float ReceiveFloat16(unsigned char *data, unsigned char *startIndex);
  static Spherical16 ReceiveSpherical16(unsigned char *data,
                                        unsigned char *startIndex);
};

} // namespace RoboidControl
} // namespace Passer
using namespace Passer::RoboidControl;